Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 406bb5602ebca0fb814a7bc8777383eb42c9599a)
+++ src/UIElements/Makefile.am	(revision fdcd1b73588b7c15f87110828836b0ef8c3f12ec)
@@ -2,6 +2,6 @@
 
 COMMANDLINEUISOURCE = \
-	UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp \
-	UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp \
+  UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp \
+  UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp \
   UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp \
   UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp \
@@ -50,20 +50,21 @@
   
 TEXTMENUSOURCE = \
-  UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp \
+  UIElements/Menu/TextMenu/ActionMenuItem.cpp \
+  UIElements/Menu/TextMenu/DisplayMenuItem.cpp \
+  UIElements/Menu/TextMenu/MenuItem.cpp \
+  UIElements/Menu/TextMenu/SeparatorMenuItem.cpp \
+  UIElements/Menu/TextMenu/SubMenuItem.cpp \
   UIElements/Menu/TextMenu/TxMenu.cpp \
-  UIElements/Menu/TextMenu/MenuItem.cpp \
-  UIElements/Menu/TextMenu/SubMenuItem.cpp \
-  UIElements/Menu/TextMenu/ActionMenuItem.cpp \
-  UIElements/Menu/TextMenu/SeparatorMenuItem.cpp \
-  UIElements/Menu/TextMenu/DisplayMenuItem.cpp
+  UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp
   
 TEXTMENUHEADER = \
+  UIElements/Menu/TextMenu/ActionMenuItem.hpp \
+  UIElements/Menu/TextMenu/DisplayMenuItem.hpp \
+  UIElements/Menu/TextMenu/MenuItem.hpp \
+  UIElements/Menu/TextMenu/SeparatorMenuItem.hpp \
+  UIElements/Menu/TextMenu/SubMenuItem.hpp \
   UIElements/Menu/TextMenu/TextMenu.hpp \
   UIElements/Menu/TextMenu/TxMenu.hpp \
-  UIElements/Menu/TextMenu/MenuItem.hpp \
-  UIElements/Menu/TextMenu/SubMenuItem.hpp \
-  UIElements/Menu/TextMenu/ActionMenuItem.hpp \
-  UIElements/Menu/TextMenu/SeparatorMenuItem.hpp \
-  UIElements/Menu/TextMenu/DisplayMenuItem.hpp
+  UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp
 
 TEXTUISOURCE = \
@@ -148,5 +149,4 @@
 
 QTUISOURCE = \
-	allmocs.moc.cpp \
   UIElements/Qt4/Pipe/AtomQtQueryPipe.cpp \
   UIElements/Qt4/Pipe/AtomsQtQueryPipe.cpp \
@@ -164,5 +164,5 @@
   UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp \
   UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp \
- 	UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.cpp \
+  UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.cpp \
   UIElements/Qt4/Query/AtomQtQuery.cpp \
   UIElements/Qt4/Query/AtomsQtQuery.cpp \
@@ -183,17 +183,17 @@
   UIElements/Qt4/Query/VectorQtQuery.cpp \
   UIElements/Qt4/Query/VectorsQtQuery.cpp \
- 	UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp \
-	UIElements/Qt4/QtMainWindow.cpp \
-	UIElements/Qt4/QtDialog.cpp \
-	UIElements/Qt4/QtUIFactory.cpp \
-	UIElements/Menu/Qt4/QtMenuPipe.cpp \
-	UIElements/Views/Qt4/QtWorldView.cpp \
-	UIElements/Views/Qt4/GLMoleculeView.cpp \
-	UIElements/Views/Qt4/QtMoleculeView.cpp \
-	UIElements/Views/Qt4/QtStatusBar.cpp
+  UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp \
+  UIElements/Qt4/QtMainWindow.cpp \
+  UIElements/Qt4/QtDialog.cpp \
+  UIElements/Qt4/QtUIFactory.cpp \
+  UIElements/Menu/Qt4/QtMenuPipe.cpp \
+  UIElements/Views/Qt4/QtWorldView.cpp \
+  UIElements/Views/Qt4/GLMoleculeView.cpp \
+  UIElements/Views/Qt4/QtMoleculeView.cpp \
+  UIElements/Views/Qt4/QtStatusBar.cpp
              
 QTUIMOC_HEADER = \
-	UIElements/Qt4/QtDialog.hpp \
-	UIElements/Qt4/QtMainWindow.hpp \
+  UIElements/Qt4/QtDialog.hpp \
+  UIElements/Qt4/QtMainWindow.hpp \
   UIElements/Qt4/Pipe/AtomQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/AtomsQtQueryPipe.hpp \
@@ -201,30 +201,31 @@
   UIElements/Qt4/Pipe/BoxQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/DoubleQtQueryPipe.hpp \
+  UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/FileQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/IntQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/MoleculeQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/MoleculesQtQueryPipe.hpp \
+  UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/StringQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp \
   UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp \
- 	UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp \
-	UIElements/Menu/Qt4/QtMenuPipe.hpp \
-	UIElements/Views/Qt4/QtWorldView.hpp \
-	UIElements/Views/Qt4/GLMoleculeView.hpp \
-	UIElements/Views/Qt4/QtMoleculeView.hpp \
-	UIElements/Views/Qt4/QtStatusBar.hpp
+  UIElements/Menu/Qt4/QtMenuPipe.hpp \
+  UIElements/Views/Qt4/QtWorldView.hpp \
+  UIElements/Views/Qt4/GLMoleculeView.hpp \
+  UIElements/Views/Qt4/QtMoleculeView.hpp \
+  UIElements/Views/Qt4/QtStatusBar.hpp
 				  
 QTUIHEADER = \
   ${QTUIMOC_HEADER} \
-	UIElements/Menu/Qt4/QtMenu.hpp \
-	UIElements/Qt4/Query/QtQuery.hpp \
+  UIElements/Menu/Qt4/QtMenu.hpp \
+  UIElements/Qt4/Query/QtQuery.hpp \
   UIElements/Qt4/QtUIFactory.hpp \
+  UIElements/Qt4/Pipe/QtQueryPipe.hpp \
   UIElements/Qt4/Pipe/QtQueryListPipe.hpp
 
 lib_LTLIBRARIES += libMolecuilderUI.la \
-	libMolecuilderQtUI.la
+  libMolecuilderQtUI.la
 libMolecuilderUI_la_includedir = $(includedir)/MoleCuilder/UIElements/
 libMolecuilderQtUI_la_includedir = $(includedir)/MoleCuilder/UIElements/
@@ -265,4 +266,5 @@
 libMolecuilderUI_la_SOURCES = ${UISOURCE}
 libMolecuilderQtUI_la_SOURCES = ${QTUISOURCE}
+nodist_libMolecuilderQtUI_la_SOURCES = allmocs.moc.cpp
 
 ## Instruct libtool to include ABI version information in the generated shared
